#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x88,0x8A,0x03,0xD0,0xD0,0x1A,0x51,0xAA,0x6A,0x33,0x13,0x03,
		0xE1,0xBF,0x7C,0x94,0xB8,0x66,0x24,0x9E,0x0F,0x5F,0x13,0x08,
		0x99,0x48,0x41,0x78,0x8E,0x09,0x2C,0x70,0x48,0x51,0xB7,0x4A,
		0xAB,0x6A,0xF5,0xAE,0x3D,0x1F,0x6A,0x12,0xFB,0x1E,0x50,0x13,
		0x29,0x5C,0xDB,0x44,0x1C,0x83,0x9D,0xE6,0x25,0x3B,0xD0,0x1A,
		0x31,0x33,0x06,0x7B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
